Subject: Merges without bases

From: Darrin Thompson <[email-masked]>
Date: Thu, 25 Aug 2005 16:10:28 -0500

I have a weird situation I want to support. I want to be able to merge a
foreign-tree repeatedly.

What makes the foreign tree foreign is that it may not yet share any
history with this branch.

What I tried to do was fetch foreign tree material and run octopus.
Octopus understandably barfed when it could not find a merge base for
the foreign tree.

What I think is newsworthy is that I figured out a sick way to get it
done. I created an empty tree object and used it as the merge base for
git-read-tree -m.

Could git-read-tree -m 3-args be made smart enough to treat a 0 as arg 1
as an implicit empty tree?

Once that is done, git octopus will be able to handle the no merge base
case.

--
Darrin